<?php 
require_once("../../conexao.php");
$nome = $_POST['nivel'];
$id = @$_POST['id'];


//VALIDAR CAMPO
$query = $pdo->query("SELECT * from grupo_acessos where nome = '$nome'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$total_reg = @count($res);
$id_reg = @$res[0]['id'];
if($total_reg > 0 and $id_reg != $id){
	echo 'Este grupo já está cadastrado!!';
	exit();
}

if($id == ""){
	$query = $pdo->prepare("INSERT INTO grupo_acessos set nome = :nome");
}else{
	$query = $pdo->prepare("UPDATE grupo_acessos set nome = :nome WHERE id = '$id'");
}

$query->bindValue(":nome", "$nome");
$query->execute();

echo 'Salvo com Sucesso';

 ?>